// kiwi.client._AvancesCtrl_EOArchive_English.java
// Generated by EOJavaClientPalette at 2008-06-04 06:46:40 +0000

package kiwi.client;

import java.awt.Font;
import java.awt.Insets;

import javax.swing.JPanel;
import javax.swing.JTextField;

import com.webobjects.eoapplication.EOArchive;
import com.webobjects.eointerface.swing.EOFrame;
import com.webobjects.eointerface.swing.EOView;
import com.webobjects.eointerface.swing.EOViewLayout;
import com.webobjects.foundation.NSDisposableRegistry;

public class _AvancesCtrl_EOArchive_English extends com.webobjects.eoapplication.EOArchive {
    EOView _nsBox0, _nsBox1, _nsBox2, _nsBox3, _nsBox4, _nsBox5, _nsBox6, _nsBox7, _nsBox8, _nsBox9;
    com.webobjects.eointerface.swing.EOFrame _panel;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField2, _nsTextField3;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton2, _nsButton3, _nsButton4, _nsButton5, _nsButton6;
    javax.swing.JPanel _nsView0;

    public _AvancesCtrl_EOArchive_English(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnRegulOp")) != null)) {
            _nsButton6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton6");
        } else {
            _nsButton6 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddOp")) != null)) {
            _nsButton5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton5");
        } else {
            _nsButton5 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelDepense")) != null)) {
            _nsButton4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton4");
        } else {
            _nsButton4 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleRib")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsBox9 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewDetail")) != null)) {
            _nsBox8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox8");
        } else {
            _nsBox8 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddDepense")) != null)) {
            _nsButton3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton3");
        } else {
            _nsButton3 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        _nsBox7 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewTableDepense")) != null)) {
            _nsBox6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox6");
        } else {
            _nsBox6 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnImprimer")) != null)) {
            _nsButton2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton2");
        } else {
            _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnDelAvance")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        _nsBox5 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewTableAvance")) != null)) {
            _nsBox4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox4");
        } else {
            _nsBox4 = (EOView)_registered(new EOView(), null);
        }

        _nsBox3 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewTableOdp")) != null)) {
            _nsBox2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox2");
        } else {
            _nsBox2 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAddAvance")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("+"), null);
        }

        _nsBox1 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "view")) != null)) {
            _nsBox0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox0");
        } else {
            _nsBox0 = (EOView)_registered(new EOView(), null);
        }

        _panel = (EOFrame)_registered(new EOFrame(), "Panel");
        _nsView0 = (JPanel)_panel.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton6.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "liquiderAvanceOp", _nsButton6), "null"));

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _connect(_owner(), _nsButton6, "btnRegulOp");
        }

        _nsButton5.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addOp", _nsButton5), "null"));

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _connect(_owner(), _nsButton5, "btnAddOp");
        }

        _nsButton4.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delDepense", _nsButton4), "null"));

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _connect(_owner(), _nsButton4, "btnDelDepense");
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "libelleRib");
        }

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            _connect(_owner(), _nsBox8, "viewDetail");
        }

        _nsButton3.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addDepense", _nsButton3), "null"));

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _connect(_owner(), _nsButton3, "btnAddDepense");
        }

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            _connect(_owner(), _nsBox6, "viewTableDepense");
        }

        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "imprimer", _nsButton2), "null"));

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _connect(_owner(), _nsButton2, "btnImprimer");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "delAvance", _nsButton1), "null"));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "btnDelAvance");
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "btnAddAvance");
        }

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            _connect(_owner(), _nsBox4, "viewTableAvance");
        }

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            _connect(_owner(), _nsBox2, "viewTableOdp");
        }

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            _connect(_owner(), _nsBox0, "view");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "addAvance", _nsButton0), "null"));
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField3, "Helvetica", 12, Font.PLAIN);
        _nsTextField3.setEditable(false);
        _nsTextField3.setOpaque(false);
        _nsTextField3.setText("D\u00e9penses");
        _nsTextField3.setHorizontalAlignment(JTextField.LEFT);
        _nsTextField3.setSelectable(false);
        _nsTextField3.setEnabled(true);
        _nsTextField3.setBorder(null);
        _setFontForComponent(_nsTextField2, "Helvetica", 12, Font.PLAIN);
        _nsTextField2.setEditable(false);
        _nsTextField2.setOpaque(false);
        _nsTextField2.setText("Ordre de paiement");
        _nsTextField2.setHorizontalAlignment(JTextField.LEFT);
        _nsTextField2.setSelectable(false);
        _nsTextField2.setEnabled(true);
        _nsTextField2.setBorder(null);

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _setFontForComponent(_nsButton6, "Helvetica", 12, Font.PLAIN);
            _nsButton6.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _setFontForComponent(_nsButton5, "Helvetica", 12, Font.PLAIN);
            _nsButton5.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _setFontForComponent(_nsButton4, "Helvetica", 12, Font.PLAIN);
            _nsButton4.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Helvetica", 12, Font.PLAIN);
            _nsTextField1.setEditable(true);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("Text");
            _nsTextField1.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField1.setSelectable(true);
            _nsTextField1.setEnabled(true);
        }

        _setFontForComponent(_nsTextField0, "Helvetica", 12, Font.PLAIN);
        _nsTextField0.setEditable(false);
        _nsTextField0.setOpaque(false);
        _nsTextField0.setText("RIB :");
        _nsTextField0.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField0.setSelectable(false);
        _nsTextField0.setEnabled(true);
        _nsTextField0.setBorder(null);
        if ((_nsBox9.getLayout() instanceof EOViewLayout) == false) _nsBox9.setLayout(new EOViewLayout());
        _nsTextField0.setSize(54, 15);
        _nsTextField0.setLocation(-22, 4);
        ((EOViewLayout)_nsBox9.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsBox9.add(_nsTextField0);
        _nsTextField1.setSize(684, 21);
        _nsTextField1.setLocation(34, 3);
        ((EOViewLayout)_nsBox9.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsBox9.add(_nsTextField1);

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            if ((_nsBox8.getLayout() instanceof EOViewLayout) == false) _nsBox8.setLayout(new EOViewLayout());
            _nsBox9.setSize(721, 26);
            _nsBox9.setLocation(7, 7);
            ((EOViewLayout)_nsBox8.getLayout()).setAutosizingMask(_nsBox9, EOViewLayout.MinYMargin);
            _nsBox8.add(_nsBox9);
            _nsBox8.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _setFontForComponent(_nsButton3, "Helvetica", 12, Font.PLAIN);
            _nsButton3.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            if ((_nsBox6.getLayout() instanceof EOViewLayout) == false) _nsBox6.setLayout(new EOViewLayout());
            _nsBox7.setSize(730, 51);
            _nsBox7.setLocation(2, 2);
            ((EOViewLayout)_nsBox6.getLayout()).setAutosizingMask(_nsBox7, EOViewLayout.MinYMargin);
            _nsBox6.add(_nsBox7);
            _nsBox6.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _setFontForComponent(_nsButton2, "Helvetica", 12, Font.PLAIN);
            _nsButton2.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Helvetica", 12, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            if ((_nsBox4.getLayout() instanceof EOViewLayout) == false) _nsBox4.setLayout(new EOViewLayout());
            _nsBox5.setSize(723, 90);
            _nsBox5.setLocation(6, 6);
            ((EOViewLayout)_nsBox4.getLayout()).setAutosizingMask(_nsBox5, EOViewLayout.MinYMargin);
            _nsBox4.add(_nsBox5);
            _nsBox4.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            if ((_nsBox2.getLayout() instanceof EOViewLayout) == false) _nsBox2.setLayout(new EOViewLayout());
            _nsBox3.setSize(730, 51);
            _nsBox3.setLocation(2, 2);
            ((EOViewLayout)_nsBox2.getLayout()).setAutosizingMask(_nsBox3, EOViewLayout.MinYMargin);
            _nsBox2.add(_nsBox3);
            _nsBox2.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Helvetica", 12, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if ((_nsBox1.getLayout() instanceof EOViewLayout) == false) _nsBox1.setLayout(new EOViewLayout());
        _nsButton0.setSize(23, 23);
        _nsButton0.setLocation(766, 3);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton0);
        _nsButton1.setSize(23, 23);
        _nsButton1.setLocation(766, 27);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton1);
        _nsBox2.setSize(734, 55);
        _nsBox2.setLocation(28, 222);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox2, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox2);
        _nsBox4.setSize(735, 102);
        _nsBox4.setLocation(28, 4);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox4, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox4);
        _nsTextField2.setSize(195, 15);
        _nsTextField2.setLocation(26, 206);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField2);
        _nsButton2.setSize(23, 23);
        _nsButton2.setLocation(766, 63);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton2);
        _nsButton3.setSize(23, 23);
        _nsButton3.setLocation(765, 143);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton3, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton3);
        _nsBox6.setSize(734, 55);
        _nsBox6.setLocation(28, 142);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox6, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox6);
        _nsTextField3.setSize(195, 15);
        _nsTextField3.setLocation(27, 125);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsTextField3);
        _nsBox8.setSize(735, 40);
        _nsBox8.setLocation(28, 293);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox8, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox8);
        _nsButton4.setSize(23, 23);
        _nsButton4.setLocation(765, 167);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton4, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton4);
        _nsButton5.setSize(20, 23);
        _nsButton5.setLocation(764, 223);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton5, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton5);
        _nsButton6.setSize(20, 23);
        _nsButton6.setLocation(764, 247);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton6, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton6);

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            if ((_nsBox0.getLayout() instanceof EOViewLayout) == false) _nsBox0.setLayout(new EOViewLayout());
            _nsBox1.setSize(827, 413);
            _nsBox1.setLocation(6, 6);
            ((EOViewLayout)_nsBox0.getLayout()).setAutosizingMask(_nsBox1, EOViewLayout.MinYMargin);
            _nsBox0.add(_nsBox1);
            _nsBox0.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsView0.getLayout() instanceof EOViewLayout) == false) _nsView0.setLayout(new EOViewLayout());
        _nsBox0.setSize(839, 425);
        _nsBox0.setLocation(24, 25);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox0);
        _nsView0.setSize(886, 487);
        _panel.setTitle("Gestion Remboursements");
        _panel.setLocation(397, 570);
        _panel.setSize(886, 487);
    }
}
